com.atid.lib.module.barcode.ssi.param

## Class SSI2DParamValue

- java.lang.Object
- - com.atid.lib.module.barcode.ssi.param.SSI2DParamValue

-     public class SSI2DParamValue
      extends java.lang.Object

  Set data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSI2DParamValue(SSI2DParamName name)` Create an instance of the SSI2DParamValue class.
    `SSI2DParamValue(SSI2DParamName name, java.lang.Object value)` Create an instance of the SSI2DParamValue class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(SSI2DParamName name)` Compare the type of parameter on the SSI2DParamValue instance.
    `SSI2DParamName` | `getName()` Returns the type of parameter stored in the SSI2DParamValue instance.
    `java.lang.Object` | `getValue()` Returns the value of parameter stored in the SSI2DParamValue instance.
    `void` | `setValue(java.lang.Object value)` Set the parameter value on the SSI2DParamValue instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSI2DParamValue

          public SSI2DParamValue(SSI2DParamName name)

      Create an instance of the SSI2DParamValue class.

    - #### SSI2DParamValue

          public SSI2DParamValue(SSI2DParamName name,
                                 java.lang.Object value)

      Create an instance of the SSI2DParamValue class.

  - ### Method Detail

    - #### getName

          public SSI2DParamName getName()

      Returns the type of parameter stored in the SSI2DParamValue instance.
      Returns:
        An SSI2DParamValue represent the type of parameter.

    - #### getValue

          public java.lang.Object getValue()

      Returns the value of parameter stored in the SSI2DParamValue instance.
      Returns:
        An Object represent the value of parameter.

    - #### setValue

          public void setValue(java.lang.Object value)

      Set the parameter value on the SSI2DParamValue instance.
      Parameters:
        `params` - A value that specifies the parameter value of the SSI2DParamValue instance.

    - #### equals

          public boolean equals(SSI2DParamName name)

      Compare the type of parameter on the SSI2DParamValue instance.